Package org.eclipse.birt.report.model.api.util

# Class Point

java.lang.Object
org.eclipse.birt.report.model.api.util.Point

public class Point extends Object
Represents a point in application units. Can also represent a rectangle size. In this case, the point represents the position of the bottom right corner relative to the top left corner.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`x`
The x position or width.
`double`
`y`
The y position or height.

## Constructor Summary

Constructors
Constructor
Description
`Point()`
Default constructor.
`Point(double x, double y)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEmpty()`
Returns whether the point is empty.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public double x
The x position or width.

### y

public double y
The y position or height.

## Constructor Details

### Point

public Point()
Default constructor.

### Point

public Point(double x, double y)
Constructor.

Parameters:
  `x` - the x position or width
  `y` - the y position or width

## Method Details

### isEmpty

public boolean isEmpty()
Returns whether the point is empty.

Returns:
  true if the point is (0,0) or the size is empty.